## qt6-positioning 6.2.4

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

if(TARGET Qt::Positioning)
    add_subdirectory(positioning)
endif()

qt_examples_build_end()

=== src/CMakeLists.txt ===
# special case begin
add_subdirectory(3rdparty/clip2tri)
add_subdirectory(3rdparty/poly2tri)
add_subdirectory(3rdparty/clipper)
add_subdirectory(positioning)
add_subdirectory(plugins)
if(TARGET Qt::Quick)
    add_subdirectory(positioningquick)
endif()
# special case end

=== config.tests/winrt/CMakeLists.txt ===
# Generated from winrt.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_winrt LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

if(MSVC)
    target_link_libraries(${PROJECT_NAME} PRIVATE
        runtimeobject.lib
    )
endif()

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

add_subdirectory(doublevectors)
add_subdirectory(qgeoaddress)
add_subdirectory(qgeoshape)
add_subdirectory(qgeorectangle)
add_subdirectory(qgeocircle)
add_subdirectory(qgeopath)
add_subdirectory(qgeopolygon)
add_subdirectory(qgeocoordinate)
add_subdirectory(qgeocoordinateobject)
add_subdirectory(qgeolocation)
add_subdirectory(qgeopositioninfo)
add_subdirectory(qgeosatelliteinfo)
if(TARGET Qt::Quick AND NOT ANDROID)
    add_subdirectory(dummypositionplugin)
    add_subdirectory(declarative_positioning_core)
    add_subdirectory(declarative_geolocation)
    add_subdirectory(qdeclarativegeolocation)
    add_subdirectory(qdeclarativeposition)
    add_subdirectory(qdeclarativepositionsource)
    add_subdirectory(qquickgeocoordinateanimation)
endif()
if(NOT ANDROID)
    add_subdirectory(positionplugin)
    add_subdirectory(positionplugintest)
    add_subdirectory(qgeoareamonitor)
    add_subdirectory(qgeopositioninfosource)
    add_subdirectory(qgeosatelliteinfosource)
    add_subdirectory(qnmeapositioninfosource)
    add_subdirectory(qnmeasatelliteinfosource)
    add_subdirectory(cmake)
endif()

=== examples/positioning/geoflickr/CMakeLists.txt ===
# Generated from geoflickr.pro.

cmake_minimum_required(VERSION 3.16)
project(geoflickr LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/geoflickr")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS Positioning)

qt_add_executable(geoflickr
    qmllocationflickr.cpp
)
set_target_properties(geoflickr PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(geoflickr PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Positioning
    Qt::Qml
    Qt::Quick
)


# Resources:
set(flickr_resource_files
    "flickr-90.qml"
    "flickr.qml"
    "flickrcommon/Progress.qml"
    "flickrcommon/RestModel.qml"
    "flickrcommon/ScrollBar.qml"
    "flickrcommon/Slider.qml"
    "flickrmobile/Button.qml"
    "flickrmobile/GeoTab.qml"
    "flickrmobile/GridDelegate.qml"
    "flickrmobile/ImageDetails.qml"
    "flickrmobile/ListDelegate.qml"
    "flickrmobile/TitleBar.qml"
    "flickrmobile/ToolBar.qml"
    "flickrmobile/images/gloss.png"
    "flickrmobile/images/lineedit.png"
    "flickrmobile/images/lineedit.sci"
    "flickrmobile/images/moon.png"
    "flickrmobile/images/quit.png"
    "flickrmobile/images/star.png"
    "flickrmobile/images/stripes.png"
    "flickrmobile/images/sun.png"
    "flickrmobile/images/titlebar.png"
    "flickrmobile/images/titlebar.sci"
    "flickrmobile/images/toolbutton.png"
    "flickrmobile/images/toolbutton.sci"
    "flickrmobile/nmealog.txt"
)

qt6_add_resources(geoflickr "flickr"
    PREFIX
        "/"
    FILES
        ${flickr_resource_files}
)

install(TARGETS geoflickr
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/positioning/weatherinfo/CMakeLists.txt ===
# Generated from weatherinfo.pro.

cmake_minimum_required(VERSION 3.16)
project(weatherinfo LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/weatherinfo")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS Positioning)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)

qt_add_executable(weatherinfo
    appmodel.cpp appmodel.h
    providerbackend.cpp providerbackend.h
    openweathermapbackend.cpp openweathermapbackend.h
    weatherapibackend.cpp weatherapibackend.h
    main.cpp
)
set_target_properties(weatherinfo PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(weatherinfo PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Positioning
    Qt::Qml
    Qt::Quick
)

qt_add_qml_module(weatherinfo
    URI WeatherInfo
    VERSION 1.0
    QML_FILES
        components/BigForecastIcon.qml
        components/ForecastIcon.qml
        components/WeatherIcon.qml
        weatherinfo.qml
    RESOURCES
        icons/weather-few-clouds.png
        icons/weather-fog.png
        icons/weather-haze.png
        icons/weather-icy.png
        icons/weather-overcast.png
        icons/weather-showers.png
        icons/weather-sleet.png
        icons/weather-snow.png
        icons/weather-storm.png
        icons/weather-sunny-very-few-clouds.png
        icons/weather-sunny.png
        icons/weather-thundershower.png
        icons/weather-showers-scattered.png
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS weatherinfo
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/position/CMakeLists.txt ===
# Generated from position.pro.

add_subdirectory(positionpoll)
if(FREEBSD OR LINUX OR OPENBSD OR (NETBSD AND TARGET Qt::DBus))
    add_subdirectory(geoclue2)
endif()
if(QT_FEATURE_gypsy)
    add_subdirectory(gypsy)
endif()
if(QT_FEATURE_winrt_geolocation)
    add_subdirectory(winrt)
endif()
if(IOS OR MACOS OR TVOS)
    add_subdirectory(corelocation)
endif()
if(ANDROID)
    add_subdirectory(android)
endif()
if(TARGET Qt::SerialPort AND TARGET Qt::Network)
    add_subdirectory(nmea)
endif()

=== tests/auto/cmake/CMakeLists.txt ===
# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(positioning_cmake_tests)
enable_testing()

set(required_packages Core Positioning)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the repository's build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    Positioning QGeoRectangle
)

_qt_internal_test_module_includes(
     ${module_includes}
)

=== tests/auto/declarative_positioning_core/CMakeLists.txt ===
# Generated from declarative_positioning_core.pro.

#####################################################################
## tst_declarative_positioning_core Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.qml)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_declarative_positioning_core
    QMLTEST
    SOURCES
        main.cpp
        factory.cpp
        factory.h
    PUBLIC_LIBRARIES
        Qt::Positioning
        Qt::Quick
    TESTDATA ${test_data}
)

qt_add_qml_module(tst_declarative_positioning_core
    URI TestFactory
    VERSION 1.0
    QML_FILES
        tst_address.qml
        tst_coordinate.qml
        tst_geoshape.qml
        tst_position.qml
        tst_positionsource.qml
    NO_RESOURCE_TARGET_PATH
)

=== tests/auto/dummypositionplugin/CMakeLists.txt ===
# Generated from positionplugin.pro.

#####################################################################
## QGeoPositionInfoSourceFactoryTest Plugin:
#####################################################################

qt_internal_add_plugin(DummyPluginForTestsFactoryPlugin
    OUTPUT_NAME qtposition_testplugin2
    CLASS_NAME DummyPluginForTestsFactory
    PLUGIN_TYPE position
    DEFAULT_IF FALSE
    SOURCES
        plugin.cpp
    LIBRARIES
        Qt::Core
        Qt::Positioning
)

#### Keys ignored in scope 1:.:.:positionplugin.pro:<TRUE>:
# OTHER_FILES = "plugin.json"
# PLUGIN_EXTENDS = "-"

=== tests/auto/qgeoaddress/CMakeLists.txt ===
# Generated from qgeoaddress.pro.

#####################################################################
## tst_qgeoaddress Test:
#####################################################################

qt_internal_add_test(tst_qgeoaddress
    SOURCES
        tst_qgeoaddress.cpp
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
)

#### Keys ignored in scope 1:.:.:qgeoaddress.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/qgeoareamonitor/CMakeLists.txt ===
# Generated from qgeoareamonitor.pro.

#####################################################################
## tst_qgeoareamonitor Test:
#####################################################################

qt_internal_add_test(tst_qgeoareamonitor
    SOURCES
        logfilepositionsource.cpp logfilepositionsource.h
        positionconsumerthread.cpp positionconsumerthread.h
        tst_qgeoareamonitor.cpp
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
)

#### Keys ignored in scope 1:.:.:qgeoareamonitor.pro:<TRUE>:
# OTHER_FILES = "*.txt"
# TEMPLATE = "app"

=== debian/changelog ===
qt6-positioning (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 20:49:29 +0200

qt6-positioning (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:02:06 +0100

qt6-positioning (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 00:32:37 +0100

qt6-positioning (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999636)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:12:17 +0100

=== debian/control ===
Source: qt6-positioning
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6serialport6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               rapidjson-dev (>= 1.1.0),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git
Rules-Requires-Root: no

Package: libqt6positioning6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: libqt6positioningquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Positioning library - Qt Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contain the Qt Quick interface for the Qt 6 Positioning library.

Package: libqt6positioning6-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt6positioning6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning plugins.

Package: qml6-module-qtpositioning
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt6positioning6-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Positioning QML plugin for Qt Declarative.

Package: qt6-positioning-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6positioning6 (= ${binary:Version}),
         libqt6positioning6-plugins (= ${binary:Version}),
         libqt6positioningquick6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-positioning 6.3.1

=== debian/changelog ===
qt6-positioning (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 07 Sep 2022 09:51:11 -0300

qt6-positioning (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:59 +0200

qt6-positioning (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 03:59:07 +0200

qt6-positioning (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:24:10 +0200

qt6-positioning (6.2.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders just for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 10:03:24 -0300

qt6-positioning (6.2.4-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:57 +0200

qt6-positioning (6.2.4-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit deaf18f77fc67d7be6534843a009a47e8df40eb4 to enable
    the geoclue2 plugin also on GNU/Hurd; patch
    upstream_CMake-enable-geoclue2-also-on-GNU-Hurd.patch.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Apr 2022 06:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,28 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6serialport6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6serialport6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git

## qt6-positioning 6.4.1

=== debian/changelog ===
qt6-positioning (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023075).

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Dec 2022 01:23:18 +0100

qt6-positioning (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update symbols from buildlogs.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 07:08:41 +0100

qt6-positioning (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Remove patches as they have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:29:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6serialport6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.4.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-serialport-dev (>= 6.4.1~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## qt6-positioning 6.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtPositioning
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Positioning Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Quick Qml Gui Widgets Network Test DBus SerialPort QuickTest)

if(WASM)
    message(NOTICE "Skipping the build as the condition \"NOT WASM\" is not met.")
    return()
endif()
qt_build_repo()

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# Generated from examples.pro.
-
 qt_examples_build_begin(EXTERNAL_BUILD)
 
 if(TARGET Qt::Positioning)

=== src/CMakeLists.txt ===
# special case begin
add_subdirectory(3rdparty/poly2tri)
add_subdirectory(3rdparty/clipper)
add_subdirectory(3rdparty/clip2tri)
add_subdirectory(positioning)
add_subdirectory(plugins)
if(TARGET Qt::Quick)
    add_subdirectory(positioningquick)
endif()
# special case end

=== config.tests/gypsy/CMakeLists.txt ===
# Generated from gypsy.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_gypsy LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== src/positioning/CMakeLists.txt ===
# Generated from positioning.pro.

#####################################################################
## Positioning Module:
#####################################################################

qt_internal_add_module(Positioning
    PLUGIN_TYPES position
    SOURCES
        qclipperutils.cpp qclipperutils_p.h
        qdoublematrix4x4.cpp qdoublematrix4x4_p.h
        qdoublevector2d.cpp qdoublevector2d_p.h
        qdoublevector3d.cpp qdoublevector3d_p.h
        qgeoaddress.cpp qgeoaddress.h qgeoaddress_p.h
        qgeoareamonitorinfo.cpp qgeoareamonitorinfo.h
        qgeoareamonitorsource.cpp qgeoareamonitorsource.h
        qgeocircle.cpp qgeocircle.h qgeocircle_p.h
        qgeocoordinate.cpp qgeocoordinate.h qgeocoordinate_p.h
        qgeocoordinateobject.cpp qgeocoordinateobject_p.h
        qgeolocation.cpp qgeolocation.h qgeolocation_p.h
        qgeopath.cpp qgeopath.h qgeopath_p.h
        qgeopolygon.cpp qgeopolygon.h qgeopolygon_p.h
        qgeopositioninfo.cpp qgeopositioninfo.h qgeopositioninfo_p.h
        qgeopositioninfosource.cpp qgeopositioninfosource.h qgeopositioninfosource_p.h
        qgeopositioninfosourcefactory.cpp qgeopositioninfosourcefactory.h
        qgeorectangle.cpp qgeorectangle.h qgeorectangle_p.h
        qgeosatelliteinfo.cpp qgeosatelliteinfo.h qgeosatelliteinfo_p.h
        qgeosatelliteinfosource.cpp qgeosatelliteinfosource.h qgeosatelliteinfosource_p.h
        qgeoshape.cpp qgeoshape.h qgeoshape_p.h
        qlocationutils.cpp qlocationutils_p.h
        qnmeapositioninfosource.cpp qnmeapositioninfosource.h qnmeapositioninfosource_p.h
        qnmeasatelliteinfosource.cpp qnmeasatelliteinfosource.h qnmeasatelliteinfosource_p.h
        qpositioningglobal.h qpositioningglobal_p.h
        qwebmercator.cpp qwebmercator_p.h
    INCLUDE_DIRECTORIES
        ../3rdparty/clip2tri
        ../3rdparty/clipper
    LIBRARIES
        Qt::CorePrivate
        Qt::Bundled_Clip2Tri
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
    GENERATE_CPP_EXPORTS
    GENERATE_PRIVATE_CPP_EXPORTS
)

if(ANDROID)
    set_property(TARGET Positioning APPEND PROPERTY QT_ANDROID_BUNDLED_JAR_DEPENDENCIES
        jar/Qt${QtLocation_VERSION_MAJOR}AndroidPositioning.jar:org.qtproject.qt.android.positioning.QtPositioning # special case
    )
    set_property(TARGET Positioning APPEND PROPERTY QT_ANDROID_LIB_DEPENDENCIES
        plugins/position/libplugins_position_qtposition_android.so
    )
    set_property(TARGET Positioning APPEND PROPERTY QT_ANDROID_PERMISSIONS
        android.permission.ACCESS_FINE_LOCATION
    )
endif()

#### Keys ignored in scope 1:.:.:positioning.pro:<TRUE>:
# ANDROID_FEATURES = "android.hardware.location.gps"
# MODULE_WINRT_CAPABILITIES_DEVICE = "location"
# OTHER_FILES = "configure.json" "doc/src/*.qdoc" "doc/src/plugins/*.qdoc"
qt_internal_add_docs(Positioning
    doc/qtpositioning.qdocconf
)

=== src/positioningquick/CMakeLists.txt ===
# Generated from positioningquick.pro.

#####################################################################
## PositioningQuick Module:
#####################################################################

qt_internal_add_qml_module(PositioningQuick
    URI QtPositioning
    VERSION ${CMAKE_PROJECT_VERSION}
    PLUGIN_TARGET positioningquickplugin
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    CLASS_NAME QtPositioningDeclarativeModule
    DEPENDENCIES
        QtQuick/auto
    SOURCES
        qdeclarativegeoaddress_p.h qdeclarativegeoaddress.cpp
        qdeclarativegeolocation_p.h qdeclarativegeolocation.cpp
        qdeclarativepluginparameter_p.h qdeclarativepluginparameter.cpp
        qdeclarativeposition_p.h qdeclarativeposition.cpp
        qdeclarativepositionsource_p.h qdeclarativepositionsource.cpp
        qquickgeocoordinateanimation_p.h qquickgeocoordinateanimation.cpp
        locationsingleton_p.h locationsingleton.cpp
        qquickgeocoordinateanimation_p_p.h
        qpositioningquickglobal.h
        qpositioningquickglobal_p.h
        qpositioningquickmodule_p.h qpositioningquickmodule.cpp
    LIBRARIES
        Qt::PositioningPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
        Qt::Qml
        Qt::Quick
    PRIVATE_MODULE_INTERFACE
        Qt::PositioningPrivate
        Qt::QuickPrivate
    GENERATE_CPP_EXPORTS
    GENERATE_PRIVATE_CPP_EXPORTS
)

qt_internal_extend_target(positioningquickplugin
    SOURCES
        positioningplugin.cpp
    LIBRARIES
        Qt::PositioningQuickPrivate
        Qt::Quick
)

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

add_subdirectory(doublevectors)
add_subdirectory(qgeoaddress)
add_subdirectory(qgeoshape)
add_subdirectory(qgeorectangle)
add_subdirectory(qgeocircle)
add_subdirectory(qgeopath)
add_subdirectory(qgeopolygon)
add_subdirectory(qgeocoordinate)
add_subdirectory(qgeocoordinateobject)
add_subdirectory(qgeolocation)
add_subdirectory(qgeopositioninfo)
add_subdirectory(qgeosatelliteinfo)
add_subdirectory(qgeosatelliteinfosource)
add_subdirectory(qnmeasatelliteinfosource)
add_subdirectory(cmake)
if (QT6_IS_SHARED_LIBS_BUILD)
    add_subdirectory(positionplugin)
    add_subdirectory(positionplugintest)
    add_subdirectory(qgeoareamonitor)
    add_subdirectory(qgeopositioninfosource)
    add_subdirectory(qnmeapositioninfosource)
endif()
if(TARGET Qt::Quick)
    add_subdirectory(qdeclarativegeolocation)
    add_subdirectory(qdeclarativeposition)
    add_subdirectory(qquickgeocoordinateanimation)
    if (QT6_IS_SHARED_LIBS_BUILD)
        add_subdirectory(dummypositionplugin)
        add_subdirectory(declarative_positioning_core)
        add_subdirectory(qdeclarativepositionsource)
        add_subdirectory(declarative_geolocation)
    endif()
endif()

=== examples/positioning/geoflickr/CMakeLists.txt ===
--- 
+++ 
@@ -1,34 +1,25 @@
-# Generated from geoflickr.pro.
-
 cmake_minimum_required(VERSION 3.16)
 project(geoflickr LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/geoflickr")
 
-find_package(Qt6 COMPONENTS Core)
-find_package(Qt6 COMPONENTS Gui)
-find_package(Qt6 COMPONENTS Qml)
-find_package(Qt6 COMPONENTS Quick)
-find_package(Qt6 COMPONENTS Network)
-find_package(Qt6 COMPONENTS Positioning)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Network Positioning Qml Quick)
 
 qt_add_executable(geoflickr
     qmllocationflickr.cpp
 )
+
 set_target_properties(geoflickr PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(geoflickr PRIVATE
     Qt::Core
     Qt::Gui
@@ -37,7 +28,6 @@
     Qt::Qml
     Qt::Quick
 )
-
 
 # Resources:
 set(flickr_resource_files

=== examples/positioning/weatherinfo/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,15 @@
-# Generated from weatherinfo.pro.
-
 cmake_minimum_required(VERSION 3.16)
 project(weatherinfo LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/weatherinfo")
 
-find_package(Qt6 COMPONENTS Core)
-find_package(Qt6 COMPONENTS Gui)
-find_package(Qt6 COMPONENTS Network)
-find_package(Qt6 COMPONENTS Positioning)
-find_package(Qt6 COMPONENTS Qml)
-find_package(Qt6 COMPONENTS Quick)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Network Positioning Qml Quick)
 
 qt_add_executable(weatherinfo
     appmodel.cpp appmodel.h
@@ -29,10 +18,12 @@
     weatherapibackend.cpp weatherapibackend.h
     main.cpp
 )
+
 set_target_properties(weatherinfo PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(weatherinfo PRIVATE
     Qt::Core
     Qt::Gui
@@ -67,6 +58,12 @@
     NO_RESOURCE_TARGET_PATH
 )
 
+if(IOS)
+    set_target_properties(weatherinfo PROPERTIES
+        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/ios/Info.plist"
+    )
+endif()
+
 install(TARGETS weatherinfo
     RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
     BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"

=== src/plugins/position/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Generated from position.pro.
 
 add_subdirectory(positionpoll)
-if(FREEBSD OR LINUX OR OPENBSD OR (NETBSD AND TARGET Qt::DBus))
+if(TARGET Qt::DBus AND (FREEBSD OR LINUX OR OPENBSD OR NETBSD OR HURD))
     add_subdirectory(geoclue2)
 endif()
 if(QT_FEATURE_gypsy)

=== tests/applications/positioning_backend/CMakeLists.txt ===
# Generated from positioning_backend.pro.

#####################################################################
## posbackendtesting Binary:
#####################################################################

qt_internal_add_executable(posbackendtesting
    GUI
    SOURCES
        logwidget.cpp logwidget.h
        main.cpp
        widget.cpp widget.h widget.ui
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Positioning
        Qt::Widgets
    ENABLE_AUTOGEN_TOOLS
        uic
)

#### Keys ignored in scope 1:.:.:positioning_backend.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

#### Keys ignored in scope 2:.:.:positioning_backend.pro:WINRT:
# WINRT_MANIFEST.capabilities_device = "location"

=== tests/auto/declarative_geolocation/CMakeLists.txt ===
# special case begin

# Collect test data

qt_internal_add_test(tst_declarative_geolocation
    QMLTEST
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::Positioning
        Qt::Quick
    TESTDATA
        tst_declarativegeolocation.qml
)

# special case end

=== debian/changelog ===
qt6-positioning (6.4.2-3build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 16:01:09 +0100

qt6-positioning (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:54:26 +0000

qt6-positioning (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:00:16 +0000

qt6-positioning (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Aug 2023 19:27:46 +0200

qt6-positioning (6.4.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042245).
  * Update symbols from buildlogs.
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jul 2023 15:01:25 +0200

qt6-positioning (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:34:49 +0100

qt6-positioning (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:36 +0100

qt6-positioning (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: qt6-positioning
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qttest (>= 6.4.1+dfsg~),
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
-               qt6-serialport-dev (>= 6.4.1~),
+               qml6-module-qttest (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-serialport-dev (>= 6.4.2~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git
@@ -92,3 +94,48 @@
  .
  This package contains the header development files used for building Qt 6
  applications using Qt 6 Positioning library.
+
+Package: qt6-positioning-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Description: Qt 6 Positioning documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for Qt 6 Positioning.
+
+Package: qt6-positioning-doc-html
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Description: Qt 6 Positioning HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for Qt 6 Positioning.
+
+Package: qt6-positioning-doc-dev
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: qt6-base-doc-dev, ${misc:Depends},
+Description: Qt 6 Positioning tags files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the doxygen tags files for the Qt Positioning
+ documentation.
+
+Package: qt6-positioning-examples
+Architecture: any
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Positioning examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt Positioning submodule.

## qt6-positioning 6.6.1

=== debian/changelog ===
qt6-positioning (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Dec 2023 19:59:52 +0100

qt6-positioning (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 21:47:24 +0100

qt6-positioning (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 19:09:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: qt6-positioning
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
@@ -12,18 +11,18 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-serialport-dev (>= 6.4.2~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-serialport-dev (>= 6.6.1~),
+               qt6-svg-dev (>= 6.6.1~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
@@ -33,8 +32,8 @@
 Package: libqt6positioning6
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -44,8 +43,8 @@
 Package: libqt6positioningquick6
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library - Qt Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -55,7 +54,7 @@
 Package: libqt6positioning6-plugins
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
 Depends: libqt6positioning6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -68,7 +67,7 @@
 Package: qml6-module-qtpositioning
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
 Depends: libqt6positioning6-plugins (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## qt6-positioning 6.6.2

=== debian/changelog ===
qt6-positioning (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:30:58 +0200

qt6-positioning (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2 and rename it to qt6-*-private-abi.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 12:35:36 +0100

qt6-positioning (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add package for the private headers.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 18:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-serialport-dev (>= 6.6.1~),
-               qt6-svg-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-serialport-dev (>= 6.6.2~),
+               qt6-svg-dev (>= 6.6.2~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -33,6 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
+Provides: qt6-positioning-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -94,6 +95,20 @@
  This package contains the header development files used for building Qt 6
  applications using Qt 6 Positioning library.
 
+Package: qt6-positioning-private-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
+Description: Qt 6 Positioning - private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the private header development files used for
+ building Qt 6 applications using Qt 6 Positioning library.
+ .
+ Use at your own risk.
+
 Package: qt6-positioning-doc
 Architecture: all
 Multi-Arch: foreign
